A high-performance general-purpose compute library

- Main Page
- Tutorials
- Release Notes
- Examples

Public Types | Static Public Member Functions
dtype_traits< unsigned short > Struct Reference

`#include <traits.hpp>`

## Public Types
enum | { af_type = u16 , ctype = u16 }
typedef unsigned short | base_type

## Static Public Member Functions
static const char * | getName ()

## Detailed Description

Definition at line 157 of file traits.hpp.

## Member Typedef Documentation

## ◆ base_type

typedef unsigned short base_type

Definition at line 162 of file traits.hpp.

## Member Enumeration Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
af_type |
ctype |

Definition at line 158 of file traits.hpp.

158 {
159 af_type = u16 ,
160 ctype = u16
161 };
u16
@ u16
16-bit unsigned integral values
Definition defines.h:225
af::dtype_traits< unsigned short >::af_type
@ af_type
Definition traits.hpp:159
af::dtype_traits< unsigned short >::ctype
@ ctype
Definition traits.hpp:160

## Member Function Documentation

## ◆ getName()

static const char * getName | ( |  | ) |
| inline static

Definition at line 163 of file traits.hpp.

163{ return "ushort"; }

The documentation for this struct was generated from the following file:

- traits.hpp